##SECTION=quantumx_images

menuconfig QUANTUMX_CX27C
  bool "QuantumX CX27C"
  default y

if QUANTUMX_CX27C

config IMAGE_UBIFS_CX27C
       tristate
			 select HOST_GENIMAGE
			 select HOST_MTD_UTILS
			 prompt "images/root-cx27c.ubifs"
			 default m

config IMAGE_SD_CX27C
	     tristate
       select HOST_GENIMAGE
			 select HOST_MTOOLS
       prompt "images/sd-cx27c.img"
       default m

config IMAGE_CX27C_TGZ
	     tristate
       prompt "images/root-cx27c.tgz"
       default m

config BAREBOX_NOR_CX27C
        tristate
        prompt "Barebox (nor-cx27c)"
        default m

config BAREBOX_MINI_NOR_CX27C
        tristate
        prompt "Barebox (xload-mini-nor-cx27c)"
        default m

config BAREBOX_XLOAD_SD_CX27C
        tristate
        prompt "Barebox (xload-sd-cx27c)"
        default m

config BAREBOX_XLOAD_NOR_CX27C
        tristate
        prompt "Barebox (xload-nor-cx27c)"
        default m

if BAREBOX_XLOAD_SD_CX27C

config IMAGE_CX27C_VFAT
        tristate
        select HOST_MTOOLS
        prompt "vfat (boot-cx27c.vfat)"
        default m

config IMAGE_CX27C_EXT2
        tristate
        select HOST_GENEXT2FS
        prompt "ext2 (root-cx27c.ext2)"
        default m

endif

config DTBIMAGE_CX27C
       tristate
#       prompt "DeviceTree Image (CX27C)"
       depends on IMAGE_UBIFS_CX27C
       default m

if DTBIMAGE_CX27C
config QUANTUMX_DTS_CX27C
       string "device tree file (dts)"
       default "socfpga_cyclone5_cx27c.dts"
endif

config FPGAIMAGE_CX27C
       tristate
#       prompt "FPGA Image (CX27C)"
       depends on IMAGE_UBIFS_CX27C
       default m

if FPGAIMAGE_CX27C
config QUANTUMX_RBF_CX27C
       string "fpga image (rbf)"
       default "soc_system_cx27c.rbf"
endif

config QUANTUMX_REVISION_CX27C
       string "Revision strings"
       default "101"

config QUANTUMX_CONFIGSTRING_CX27C
       string "Configstring"
       default "^^"

config IMAGE_CONFIGSTRING_CX27C
       bool
       default y

config BLSPEC_CX27C
      tristate
#      prompt "/loader/entries/cx27c.conf"
      default y

endif
